<?php
namespace Claromentis\Core\Icon;

$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] ?: array()) + array();
class Glyphicon implements IconInterface
{
    private string $class;
    public function __construct(string $_35ed77ccccaf3a056dcf16acae33bbe0)
    {
        $this->setClass($_35ed77ccccaf3a056dcf16acae33bbe0);
    }
    
    
    
    
    
    
    public function getClass() : string
    {
        return $this->class;
    }
    
    
    
    
    
    
    public function setClass(string $_35ed77ccccaf3a056dcf16acae33bbe0) : void
    {
        $this->class = $_35ed77ccccaf3a056dcf16acae33bbe0;
    }
    
    
    
    public function getType() : string
    {
        return Types::GLYPHICON;
    }
    
    
}